=begin pod

=TITLE class X::Attribute::Package

    class X::Attribute::Package does X::Comp { }

Compile time error, thrown when the compiler encounters an attribute
declaration inside a package that does not support attributes.

For example

    module A { has $.x }

dies with

    ===SORRY!===
    A module cannot have attributes, but you tried to declare '$.x'

=head1 Methods

=head2 name

    method name() returns Str:D

Returns the name of the attribute that triggered this error.

=head2 package-kind

    method package-kind() returns Str:D

Returns the kind of package (package, module) that doesn't support attributes.

=end pod
